pioneers-server-gtk(6)

NAME
pioneers-server-gtk - graphical game server for Pioneers

SYNOPSIS
pioneers-server-gtk [options]

DESCRIPTION
This manual page documents briefly the pioneers-server-gtk command.

Pioneers is an implementation of the popular, award-winning "Settlers of Catan" board game for the GNOME desktop environment. It uses a client/server model for networked play of between two and eight players. This program provides a GUI-configurable stand-alone server which you connect to from pioneers itself.

OPTIONS
Pioneers accepts the standard GTK+ commandline options.

ENVIRONMENT
The default settings of the server can be influenced with the following three environment variables:

PIONEERS_META_SERVER
    The hostname of the meta-server when no meta-server is specified in the user interface. (The settings file takes precedence)

PIONEERS_SERVER_NAME
    The hostname of the server. If it is not set, the hostname is determined by hostname(1). (The settings file takes precedence)

PIONEERS_DIR
    The path to the game definition files. If it is not set, the default installation path will be used.

FILES
/usr/share/games/pioneers/*.game and $XDG_DATA_HOME/pioneers/*.game
    Game definitions
/usr/share/pixmaps/pioneers-server.png
    Game icon
$XDG_CONFIG_HOME/pioneers-server
    Saved settings
/usr/share/games/pioneers/computer_names
    A list of names the computer player can use

AUTHOR
This manual page was written by Steve Langasek <vorlon@debian.org>, and updated by Roland Clobus <rclobus@bigfoot.com>. Pioneers was written by Dave Cole <dave@dccs.com.au>, Andy Heroff <aheroff@mediaone.net>, and Roman Hodek <roman@hodek.net>, with contributions from many other developers on the Internet; see the AUTHORS file in the pioneers distribution for a complete list of contributing authors.

SEE ALSO
pioneers(6), pioneers-server-console(6), pioneersai(6)